 package org.sky.auth.handler;


import org.sky.core.jwt.props.JwtProperties;
import org.sky.core.launch.constant.TokenConstant;
import org.sky.core.oauth2.handler.OAuth2TokenHandler;
import org.sky.core.oauth2.provider.OAuth2Request;
import org.sky.core.oauth2.provider.OAuth2Token;
import org.sky.core.oauth2.service.OAuth2User;
import org.sky.core.tool.support.Kv;

/**
 * KdTokenHandler
 *
 */
public class KdTokenHandler extends OAuth2TokenHandler {

	public KdTokenHandler(JwtProperties properties) {
		super(properties);
	}

	@Override
	public OAuth2Token enhance(OAuth2User user, OAuth2Token token, OAuth2Request request) {
		// 父类令牌状态配置
		OAuth2Token enhanceToken = super.enhance(user, token, request);

		// 令牌统一处理，增加或删减字段
		Kv args = enhanceToken.getArgs();
		args.set(TokenConstant.USER_NAME, user.getAccount());

		// 返回令牌
		return enhanceToken;
	}
}
